## macvlan macvlan — MAC VLAN Settings |

## Properties

Table 55.

Key Name | Value Type | Default Value | Value Description
--- | --- | --- | ---
    mode
    uint32
    0
| The macvlan mode, which specifies the communication mechanism between multiple macvlans on the same lower device.
    parent
    string
| If given, specifies the parent interface name or parent connection UUID from which this MAC-VLAN interface should be created. If this property is not specified, the connection must contain an "802-3-ethernet" setting with a "mac-address" property.
    promiscuous
    boolean
    TRUE
| Whether the interface should be put in promiscuous mode.
    tap
    boolean
    FALSE
| Whether the interface should be a MACVTAP.